build_server:
  stage: build
  image: mcr.microsoft.com/dotnet/sdk:6.0
  only:
    refs:
      - master
      - develop
  dependencies: []
  script:
    - '[ ! -d release/bin ] && mkdir -p release/bin'
    - cd server/Dacryptero
    - dotnet build --nologo -o ../../release/bin -c RELEASE
    - dotnet publish --nologo -o ../../release/bin -c RELEASE
  artifacts:
    untracked: false
    expire_in: 30 days
    paths:
      - release

build_mime-cache:
  stage: build
  image: mcr.microsoft.com/dotnet/sdk:6.0
  only:
    refs:
      - master
      - develop
  dependencies: []
  script:
    - cd server/Dacryptero.MimeCache
    - dotnet run
    - cd ../..
    - '[ ! -f release/bin ] && mkdir -p release/bin'
    - cp server/Dacryptero.MimeCache/mime-cache.json release/bin/
  artifacts:
    untracked: false
    expire_in: 30 days
    paths:
      - release
